<div>
{{-- Top Nav --}}
@include('livewire.member-management.top-nav.locked-account')
<livewire:components.table 
    :columns="[
        ['label' => 'Card Number', 'field' => 'card_number'],
        ['label' => 'First Name', 'field' => 'firstname'],
        ['label' => 'Last Name', 'field' => 'lastname'],
        ['label' => 'Birthday', 'field' => 'birthdate'],
        ['label' => 'Card Type', 'field' => 'cardtype_id'],
        ['label' => 'Status', 'field' => 'status'],
    ]"
    :rows="$lockedAccounts" 
    :hasCheckbox="false"
    :hasActions="true"
    :isViewPage="true"
    :hasDelete="false"
    :hasAddButton="false"
    :hasExportButton="false"
    :viewRoute="'/main/member-management/locked-account-view'"
    :rowKey="'lcard_uuid'"
    />
</div>
