<div>
    {{-- Top Nav --}}
    @include('livewire.notification.top-nav.notification')

    @if (session()->has('success'))
    <div
        x-data="{ show: true }"
        x-init="setTimeout(() => show = false, 3000)"
        x-show="show"
        x-transition
        class="text-2xl text-green-700 px-4 py-2 rounded mb-4">
        ✅ {{ session('success') }}
    </div>
    @endif


    <livewire:components.table
        :columns="[
    ['label' => 'ID', 'field' => 'id'],
    ['label' => 'Subject', 'field' => 'subject'],
    ['label' => 'Content', 'field' => 'description'],
    ['label' => 'Is Scheduled', 'field' => 'is_scheduled'],
    ['label' => 'Schedule', 'field' => 'schedule'],
    ['label' => 'Expiration', 'field' => 'expiration'],
]"
        :rows="$notifs"
        :hasActions="false"
        :addRoute="route('notification-create')"
        :rowKey="'id'" 
        :hasCheckbox="false"
        :hasDelete="false"
        />

</div>