<div class="bg-orange-600 text-white">
    <div class="flex items-center justify-end text-white text-xl px-10 py-3 relative">

        <!-- User Dropdown -->
        <div class="relative">
            <!-- Toggle Button -->
            <button wire:click="toggleDropdown" class="flex items-center space-x-2 focus:outline-none">
                <x-heroicon-s-user-circle class="w-7 h-7" />
                <span class="text-white text-sm">{{ $user['admin']['name'] }}</span>
                <svg class="w-4 h-4 transform transition-transform duration-200 {{ $dropdownOpen ? 'rotate-180' : '' }}"
                     xmlns="http://www.w3.org/2000/svg" fill="none"
                     viewBox="0 0 24 24" stroke="currentColor">
                    <path stroke-linecap="round" stroke-linejoin="round"
                          stroke-width="2" d="M19 9l-7 7-7-7" />
                </svg>
            </button>

            <!-- Dropdown Menu -->
            @if($dropdownOpen)
                <div class="absolute mt-2 w-40 bg-white text-gray-800 rounded-md shadow-lg z-50 py-2">
                    <a href="/main/profile" class="flex items-center px-4 py-2 hover:bg-gray-100">
                        <x-heroicon-o-user-circle class="w-5 h-5 mr-5" />
                        <span class="text-sm"> My Profile</span>
                    </a>

                    <button
                        wire:click="logout"
                        class="w-full flex items-center px-4 py-2 hover:bg-gray-100 text-left"
                        type="button">
                        <x-heroicon-o-arrow-left-start-on-rectangle class="w-5 h-5 mr-5" />
                        <span class="text-sm">Log out</span>
                    </button>
                </div>
            @endif
        </div>

    </div>
</div>
