<div>
    {{-- Top Nav --}}
    @include('livewire.home-page-mobile.top-nav.photo-slider')

    @if (session()->has('success'))
    <div
        x-data="{ show: true }"
        x-init="setTimeout(() => show = false, 3000)"
        x-show="show"
        x-transition
        class="text-2xl text-green-700 px-4 py-2 rounded mb-4">
        ✅ {{ session('success') }}
    </div>
    @endif
    <livewire:components.table
        :columns="[
        ['label' => 'Title', 'field' => 'title', 'type' => 'text'],
        ['label' => 'Type', 'field' => 'promotion_id', 'type' => 'text'],
        ['label' => 'Start Date', 'field' => 'date_start', 'type' => 'date'],
        ['label' => 'End Date', 'field' => 'date_end', 'type' => 'date'],
    ]"
        :rows="$photoSliders"
        :hasCheckbox="true"
        :hasActions="true"
        :isViewPage="false"
        :addRoute="route('photo-slider-create')"
        :rowKey="'photoslider_uuid'"
        :updateRoute="'/main/home-page-mobile/photo-slider-update'"
        :viewRoute="'/main/home-page-mobile/photo-slider-view'"
        :deleteEndpoint="'api/cms/photoSlider'"
        :deleteAllEndpoint="'api/cms/photoSliderBatchDelete'"

        />
</div>